<?php

namespace App\Http\Controllers\Auth;

use App\Http\Controllers\Controller;
use Illuminate\Foundation\Auth\SendsPasswordResetEmails;
use App\Models\Cms\Setting;

class ForgotPasswordController extends Controller
{
    /*
    |--------------------------------------------------------------------------
    | Password Reset Controller
    |--------------------------------------------------------------------------
    |
    | This controller is responsible for handling password reset emails and
    | includes a trait which assists in sending these notifications from
    | your application to your users. Feel free to explore this trait.
    |
    */

    use SendsPasswordResetEmails;

    /**
     * Display the form to request a password reset link.
     * Info: Overrides the SendsPasswordResetEmails trait method.
     *
     * @return \Illuminate\View\View
     */
    public function showLinkRequestForm()
    {
        $theme = Setting::getValue('website', 'theme', 'starter');

        return view('themes.'.$theme.'.auth.passwords.email');
    }
}
