<?php

namespace App\Http\Requests\Cms\Category;

use Illuminate\Foundation\Http\FormRequest;

class StoreRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
	    'name' => [
		'required',
	    ],
            'image' => ['nullable', 'image', 'mimes:jpg,png,jpeg,gif,svg', 'max:2048', 'dimensions:min_width=100,min_height=100,max_width=1000,max_height=1000'],
	    'status' => 'required',
	    'access_level' => 'required',
	    'owned_by' => 'required',
            'settings.customized_posts_per_page' => ['nullable', 'required_if:settings.posts_per_page,-2', 'integer'],
        ];
    }
}
