<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('categories', function (Blueprint $table) {
            $table->id();
            $table->string('name', 80);
            $table->string('slug', 80);
            $table->string('code', 30)->nullable();
            $table->text('description')->nullable();
            $table->string('alt_img', 250)->nullable();
            $table->char('status', 12);
            $table->char('access_level', 10);
            $table->json('extra_fields')->nullable();
            $table->json('meta_data');
            $table->json('settings');
            $table->string('collection_type', 30)->nullable();
	    $table->nestedSet();
            $table->unsignedBigInteger('checked_out')->nullable();
            $table->timestamp('checked_out_time')->nullable();
            $table->unsignedBigInteger('owned_by');
            $table->unsignedBigInteger('updated_by')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('categories');
    }
};
