<?php if($cookieInfoConfig['enabled'] && ! $cookieInfoAlreadyChecked): ?>

    <?php echo $__env->make('themes.starter.partials.cookie-info.dialog', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    <script>

        window.laravelCookieInfo = (function () {
            var cookieDialog = new bootstrap.Modal(document.getElementById('cookie-info'), {});
            // Show dialog box by default.
            cookieDialog.show();

            const COOKIE_VALUE = 1;
            const COOKIE_DOMAIN = '<?php echo e(config('session.domain') ?? request()->getHost()); ?>';

            function cookieInfoChecked() {
                setCookie('<?php echo e($cookieInfoConfig['cookie_name']); ?>', COOKIE_VALUE, <?php echo e($cookieInfoConfig['cookie_lifetime']); ?>);
                hideCookieDialog();
            }

            function cookieExists(name) {
                return (document.cookie.split('; ').indexOf(name + '=' + COOKIE_VALUE) !== -1);
            }

            function hideCookieDialog() {
                cookieDialog.hide();
            }

            function setCookie(name, value, expirationInDays) {
                const date = new Date();
                date.setTime(date.getTime() + (expirationInDays * 24 * 60 * 60 * 1000));

                document.cookie = name + '=' + value
                    + ';expires=' + date.toUTCString()
                    + ';domain=' + COOKIE_DOMAIN
                    + ';path=/<?php echo e(config('session.secure') ? ';secure' : null); ?>'
                    + '<?php echo e(config('session.same_site') ? ';samesite='.config('session.same_site') : null); ?>';
            }

            if (cookieExists('<?php echo e($cookieInfoConfig['cookie_name']); ?>')) {
                hideCookieDialog();
            }
            
            const buttons = document.getElementsByClassName('js-cookie-info-checked');

            for (let i = 0; i < buttons.length; ++i) {
                buttons[i].addEventListener('click', cookieInfoChecked);
            }

            return {
                cookieInfoChecked: cookieInfoChecked,
                hideCookieDialog: hideCookieDialog
            };

        })();
    </script>
<?php endif; ?>
<?php /**PATH /srv/www/sites/public/starter-projects/resources/views/themes/starter/partials/cookie-info/index.blade.php ENDPATH**/ ?>